package seqdb;

public class SeqInfoHolder	implements org.omg.CORBA.portable.Streamable{
	 public SeqInfo value;
	public SeqInfoHolder()
	{
	}
	public SeqInfoHolder(SeqInfo initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return SeqInfoHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = SeqInfoHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		SeqInfoHelper.write(_out,value);
	}
}
